<template>
  <div :class="$style.formInput">
    <input :class="$style.field" :type="type" :value="value" :readonly="readonly" @input="handleInput" placeholder=" " />
    <label :class="$style.label">{{ label }}</label>
  </div>
</template>

<script>
import Style from './style.module.scss'

export default {
  name: 'MeFormInput',
  model: {
    prop: "value",
    event: "input"
  },
  props: {
    label: {
      type: String,
      required: true
    },
    type: {
      type: String,
      default: "text"
    },
    value: {
      type: [String, Number],
      default: "text"
    },
    readonly: {
      type: Boolean,
      default: false
    },
    focusOnCreate: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    $style () {
      return Style
    }
  },
  methods: {
    handleInput(ev) {
      this.$emit("input", ev.target.value);
    }
  },
  mounted () {
    this.focusOnCreate ? this.$el.querySelector('input').focus() : null
  }
};
</script>